library("planor")

nfac <- 52

nlev <- 2

modelfactors <- planor.factors(factors=list(
  
  k_1=c(0.8*0.4,1.2*0.4),
  
  k_2=c(0.8*0.2,1.2*0.2),
  
  k_3=c(0.8*0.4,1.2*0.4),
  
  k_4=c(0.8*0.2,1.2*0.2),
  
  k_5=c(0.8*0.4,1.2*0.4),
  
  k_6=c(0.8*0.2,1.2*0.2),
  
  k_7=c(0.8*0.5,1.2*0.5),
  
  k_8=c(0.8*0.1,1.2*0.1),
  
  K_AP=c(0.8*0.7,1.2*0.7),
  
  K_AC=c(0.8*0.6,1.2*0.6),
  
  K_IB=c(0.8*2.2,1.2*2.2),
  
  k_dmb=c(0.8*0.01,1.2*0.01),
  
  k_dmc=c(0.8*0.01,1.2*0.01),
  
  k_dmp=c(0.8*0.01,1.2*0.01),
  
  k_dnc=c(0.8*0.12,1.2*0.12),
  
  k_dn=c(0.8*0.01,1.2*0.01),
  
  K_d=c(0.8*0.3,1.2*0.3),
  
  K_dp=c(0.8*0.1,1.2*0.1),
  
  K_p=c(0.8*0.1,1.2*0.1),
  
  K_mB=c(0.8*0.4,1.2*0.4),
  
  K_mC=c(0.8*0.4,1.2*0.4),
  
  K_mP=c(0.8*0.31,1.2*0.31),
  
  #k_stot=c(0.8*1.0,1.2*1.0),
  
  ksB=c(0.8*0.12,1.2*0.12),
  
  k_sC=c(0.8*1.6,1.2*1.6),
  
  K_sP=c(0.8*0.6,1.2*0.6),
  
  #n=c(0.8*4,1.2*4),
  
  #m=c(0.8*2,1.2*2),
  
  V_phos=c(0.8*0.4,1.2*0.4),
  
  V_1B=c(0.8*0.5,1.2*0.5),
  
  V_1C=c(0.8*0.6,1.2*0.6),
  
  V_1P=c(0.8*0.4,1.2*0.4),
  
  V_1PC=c(0.8*0.4,1.2*0.4),
  
  V_2B=c(0.8*0.1,1.2*0.1),
  
  V_2C=c(0.8*0.1,1.2*0.1),
  
  V_2P=c(0.8*0.3,1.2*0.3),
  
  V_2PC=c(0.8*0.1,1.2*0.1),
  
  V_3B=c(0.8*0.5,1.2*0.5),
  
  V_3PC=c(0.8*0.4,1.2*0.4),
  
  V_4B=c(0.8*0.2,1.2*0.2),
  
  V_4PC=c(0.8*0.1,1.2*0.1),
  
  v_dBC=c(0.8*0.5,1.2*0.5),
  
  v_dBN=c(0.8*0.6,1.2*0.6),
  
  v_dCC=c(0.8*0.7,1.2*0.7),
  
  v_dIN=c(0.8*0.8,1.2*0.8),
  
  v_dPC=c(0.8*0.7,1.2*0.7),
  
  v_dPCC=c(0.8*0.7,1.2*0.7),
  
  v_dPCN=c(0.8*0.7,1.2*0.7),
  
  v_mB=c(0.8*0.8,1.2*0.8),
  
  v_mC=c(0.8*1.0,1.2*1.0),
  
  v_mP=c(0.8*1.1,1.2*1.1),
  
  #v_stot=c(0.8*1.0,1.2*1.0),
  
  v_sB=c(0.8*1.0,1.2*1.0),
  
  v_sC=c(0.8*1.1,1.2*1.1),
  
  v_sP1=c(0.8*1.5,1.2*1.5),
  
  v_sP2=c(0.8*1.8,1.2*1.8)
  
))

resol <- 5

nexp <- 12

ex.mod <- planor.model(resolution=resol, factors=modelfactors)

ex.key <- planor.designkey(factors=modelfactors, model=ex.mod, nunits=nlev^nexp)

ex.des <- planor.design(key=ex.key)

ex.des@design[1:15,]

write.table(ex.des@design,file="designmammalian.txt",quote=FALSE)

