% function out = goldbeterleloupmammalianLD(t,x)
% load parameters_mammalian.mat
%% model variables
%x(1): M_P per mRNAs
%x(2): M_C cry mRNAs
%x(3): M_B bmall mRNAs
%x(4): P_C non-phosphorilated PER in cytosol
%x(5): C_C non-phosphorilated CRY in cytosol
%x(6): P_CP phosphorilated PER in cytosol
%x(7): C_CP phosphorilated CRY in cytosol
%x(8): PC_C non-phosphorilated PER-CRY complex in cytosol
%x(9): PC_N  non-phosphorilated PER-CRY complex in nucleus
%x(10):PC_CP phosphorilated PER-CRY complex in cytosol
%x(11):PC_NP phosphorilated PER-CRY complex in nucleus
%x(12):B_C non-phosphorilated BMAL1 in cytosol
%x(13):B_CP phosphorilated BMAL1 in cytosol
%x(14):B_N non-phosphorilated BMAL1 in nucleus
%x(15):B_NP phosphorilated BMAL1 in nucleus
%x(16): I_N Inactive complex between PER-CRY and CLOCK-BMAL1 in the nucleus


%% Model equations

 function dwdt=goldbeterleloupmammalianLD_submodels4(t,w,p)

 
        
           k1=p(1);k2=p(2);k3=p(3);k4=p(4);k5=p(5);k6=p(6);k7=p(7);k8=p(8);
         KAP=p(9);KAC=p(10);KIB=p(11);kdmb=p(12);kdmc=p(13);kdmp=p(14);kdnc=p(15);
         kdn=p(16);Kd=p(17);Kdp=p(18);Kp=p(19);KmB=p(20);KmC=p(21);KmP=p(22);kstot=1.0;
         ksB=p(23);ksC=p(24);ksP=p(25);n=4;m=2;Vphos=p(26);V1B=p(27);V1C=p(28);
         V1P=p(29);V1PC=p(30);V2B=p(31);V2C=p(32);V2P=p(33);V2PC=p(34);V3B=p(35);
         V3PC=p(36);V4B=p(37);V4PC=p(38);vdBC=p(39);vdBN=p(40);vdCC=p(41);vdIN=p(42);
         vdPC=p(43);vdPCC=p(44);vdPCN=p(45);vmB=p(46);vmC=p(47);vmP=p(48);vsTot=1.0;
         vsB=p(49);vsC=p(50);vsP1=p(51);vsP2=p(52);
        
        dwdt=zeros(16,1);
        %Modello intero
        %I=[1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1];
        
        
        
        %il primo modello ridotto. da 0 a 240 minuti.
        %Vettore perso da APrgen in activity_processes_LD.mat
        
        
        %I=[1 1 0 1 1 0 1 1 0 1 1 1 1 1 0 1 1 0 1 1 0 1 1 1 0 1 1 1 0 1 0 1 1 1 1 0 1 1 1 1 1 0 0 1 1 1 0 1 1 1 0 1 1 0 1 1 0 1 0 1 0 1 0 1 1 1 0 0 1 1 1 0 0 1 1 0];
        
        %SOTTOMODELLI
        %da 0 alla media 9. Pendo come valori iniziali quello di 0
        %I=[1,1,0,1,1,0,1,1,0,1,1,0,0,1,0,1,1,0,0,1,0,1,1,1,0,1,0,1,0,1,0,0,1,0,1,0,1,0,0,1,1,0,0,1,0,1,0,1,1,1,0,1,1,0,1,1,0,1,0,1,0,1,0,1,1,0,0,0,1,1,1,0,0,1,1,0];
        
        % dalla media 9 alla media 60: a 9 succede instantaneamnte tutto
        % quello che deve succedere da 3 a 15. Prendo come valori di
        % attivita
        % quelli di 15
        %I=[1 1 0 1 1 0 1 1 0 1 0 0 0 1 0 1 0 0 0 1 0 1 1 1 0 1 0 1 0 0 0 1 1 0 1 0 1 0 0 1 1 0 0 1 0 1 0 1 0 1 0 1 1 0 1 1 0 1 0 1 0 1 0 1 1 1 0 0 1 1 1 0 0 1 1 0];
        % dalla media 60 alla media 125: a 60 succede instantaneamnte tutto
        % quello che deve succedere da 38 a 86. Prendo come valori di
        % attivita
        % quelli di 86
        %I=[0 1 0 0 1 0 1 1 0 1 0 0 1 1 0 1 0 0 1 1 0 1 1 1 0 1 0 1 0 0 0 1 1 1 1 0 0 0 1 1 1 0 0 1 0 1 0 1 0 1 0 1 1 0 1 0 0 1 0 1 0 1 0 1 0 1 0 0 1 1 1 0 0 1 1 0];
        % dalla media 125 a 200: a 125 succede instantaneamnte tutto
        % quello che deve succedere da 98 a 156. Prendo come valori di
        % attivita
        % quelli di 156
        
        %I=[1 1 0 1 1 0 1 1 0 0 1 1 1 1 0 0 1 0 1 1 0 1 1 1 0 1 1 1 0 1 0 1 0 1 1 0 1 0 1 1 1 0 0 1 0 1 0 1 0 1 0 1 1 0 1 0 0 1 0 1 0 1 0 1 0 1 0 0 1 1 1 0 0 1 1 0];
         % dalla media 200 a 240: a 200 succede instantaneamnte tutto
        % quello che deve succedere da 173 a 229. Prendo come valori di
        % attivita
        % quelli di 229
        I=[1 1 0 1 1 0 1 1 0 1 1 0 0 1 0 1 1 0 0 1 0 1 1 1 0 1 0 1 0 1 0 0 1 0 1 0 1 0 0 1 1 0 0 1 0 1 0 1 1 1 0 1 1 0 1 1 0 1 0 1 0 1 0 1 1 0 0 0 1 1 1 0 0 1 1 0];
        
        dwdt(1)=I(1)*vsP_profile(t,p) * w(14)^n / ( KAP^n + w(14)^n )-I(2)*vmP * w(1) / ( KmP + w(1) )-I(3)*kdmp * w(1);
        dwdt(2)=I(4)*vsC * w(14)^n / ( KAC^n + w(14)^n )-I(5)*vmC * w(2) / ( KmC + w(2) )-I(6)*kdmc * w(2);
        dwdt(3)=I(7)*vsB * KIB^m / ( KIB^m + w(14)^m )-I(8)*vmB * w(3) / ( KmB + w(3) )-I(9)*kdmb*w(3);%?
        
        dwdt(4)=I(10)*ksP*w(1)-I(11)*V1P * w(4) / ( Kp + w(4) ) + I(12)*V2P * w(6) / ( Kdp + w(6) )+I(13)*k4*w(8)-I(14)*k3*w(4)*w(5)-I(15)*kdn*w(4);
        dwdt(5)=I(16)*ksC*w(2)-I(17)*V1C * w(5) / ( Kp + w(5) ) + I(18)*V2C * w(7) / ( Kdp + w(7) )+I(19)*k4*w(8)-I(20)*k3*w(4)*w(5)-I(21)*kdnc*w(5);
        dwdt(6)=I(22)*V1P * w(4) / ( Kp + w(4) )-I(23)*V2P * w(6) / ( Kdp + w(6) )-I(24)*vdPC * w(6) / ( Kd + w(6) )-I(25)*kdn*w(6);
        dwdt(7)=I(26)*V1C * w(5) / ( Kp + w(5) )-I(27)*V2C * w(7) / ( Kdp + w(7) )-I(28)*vdCC * w(7) / ( Kd + w(7) )-I(29)*kdn*w(7);
        
        dwdt(8)=-I(30)*V1PC * w(8) / ( Kp + w(8) )+I(31)*V2PC * w(10) / ( Kdp + w(10) )-I(32)*k4*w(8)+I(33)*k3*w(4)*w(5)+I(34)*k2*w(9)-I(35)*k1*w(8)-I(36)*kdn*w(8);
        dwdt(9)=-I(37)*V3PC * w(9) / ( Kp + w(9) )+I(38)*V4PC * w(11) / ( Kdp + w(11) )-I(39)*k2*w(9)+I(40)*k1*w(8)-I(41)*k7*w(14)*w(9)+I(42)*k8*w(16)-I(43)*kdn*w(9);
        dwdt(10)=I(44)*V1PC * w(8) / ( Kp + w(8) )-I(45)*V2PC * w(10) / ( Kdp + w(10) )-I(46)*vdPCC * w(10) / ( Kd + w(10) )-I(47)*kdn*w(10);
        dwdt(11)=I(48)*V3PC * w(9) / ( Kp + w(9) )-I(49)*V4PC * w(11) / ( Kdp + w(11) )-I(50)*vdPCN * w(11) / ( Kd + w(11) )-I(51)*kdn*w(11);
        
        dwdt(12)=I(52)*ksB*w(3)-I(53)*V1B * w(12) / ( Kp + w(12) ) + I(54)*V2B * w(13) / ( Kdp + w(13) )-I(55)*k5*w(12)+I(56)*k6*w(14)-I(57)*kdn*w(12);
        dwdt(13)=I(58)*V1B * w(12) / ( Kp + w(12) )-I(59)*V2B * w(13) / ( Kdp + w(13) )-I(60)*vdBC * w(13) / ( Kd + w(13) )-I(61)*kdn*w(13);
        dwdt(14)=-I(62)*V3B * w(14) / ( Kp + w(14) )+I(63)*V4B * w(15) / ( Kdp + w(15) )+I(64)*k5*w(12)-I(65)*k6*w(14)-I(66)*k7*w(14)*w(9)+I(67)*k8*w(16)-I(68)*kdn*w(14);
        dwdt(15)= I(69)*V3B * w(14) / ( Kp + w(14) )-I(70)*V4B * w(15) / ( Kdp + w(15) )-I(71)*vdBN * w(15) / ( Kd + w(15) )-I(72)*kdn*w(15);
       
        dwdt(16)= -I(73)*k8*w(16)+I(74)*k7*w(14)*w(9)-I(75)*vdIN * w(16) / ( Kd + w(16) )-I(76)*kdn*w(16);
    

% %% Additional functions
% 
% %Negative Hill function
%     function out = neghill( v, y, K, n )
%         out = v * K^n / ( K^n + y^n );
%     end
% 
% %Michaelis-Menten function
%     function out = MM( v, y, K )
%         out = v * y / ( K + y );
%     end
% 
% %First-order kinetics
%     function out = firstorder( k, y )
%         out = k * y;
%     end
% %product kinetics
%     function out = product( k, y, z )
%         out = k * y* z;
%     end
%value of p(26) changing from 2 to 4 every 12 hours
   % function s= dmitry (t)
    %     if mod(floor(t/12),2)==0
     %        s=1.8; %nM/h with light
      %   else
       %      s=1.5; %nM/h wit dark
        % end
     %end
end

