load('original_solutions_LD.mat')

k1=0.4;k2=0.2;k3=0.4;k4=0.2;k5=0.4;k6=0.2;k7=0.5;k8=0.1;
        KAP=0.7;KAC=0.6;KIB=2.2;kdmb=0.01;kdmc=0.01;kdmp=0.01;kdnc=0.12;
        kdn=0.01;Kd=0.3;Kdp=0.1;Kp=0.1;KmB=0.4;KmC=0.4;KmP=0.31;kstot=1.0;
        ksB=0.12;ksC=1.6;ksP=0.6;n=4;m=2;Vphos=0.4;V1B=0.5;V1C=0.6;
        V1P=0.4;V1PC=0.4;V2B=0.1;V2C=0.1;V2P=0.3;V2PC=0.1;V3B=0.5;
        V3PC=0.4;V4B=0.2;V4PC=0.1;vdBC=0.5;vdBN=0.6;vdCC=0.7;vdIN=0.8;
        vdPC=0.7;vdPCC=0.7;vdPCN=0.7;vmB=0.8;vmC=1.0;vmP=1.1;vsTot=1.0;
        vsB=1.0;vsC=1.1;vsP=1.5;
        


[r, c]=size(Y);

for i=1:r
   
    Pr1(i,2)= vmP .* Y(i,1) / ( KmP + Y(i,1) );


    Pr1(i,3)= kdmp .* Y(i,1);
end
for i=1:120
    Pr1(i,1)= 1.8 .* Y(i,14)^n ./ ( KAP^n + Y(i,14)^n );
end
for i=121:241
    Pr1(i,1)= 1.5 .* Y(i,14)^n ./ ( KAP^n + Y(i,14)^n );
end
    
figure;
plot(T, Pr1(:,1), T , Pr1(:,2), T ,Pr1(:,3),'LineWidth',2);
   xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
    title({'PROCESSES |f_{1,j}| (ABS. VALUE)'},'FontSize',14);
   axis([0 24 0 1.2])

legend('per gene trascription (j=1)','PER mRNA degradation (j=2)','linear PER mRNA degradation (j=3)');


for i=1:r
    
    Pr2(i,1)= vsC .* Y(i,14)^n ./ ( KAC^n + Y(i,14)^n ) ;
    
    Pr2(i,2)= vmC .* Y(i,2) ./ ( KmC + Y(i,2) ) ;
    
    Pr2(i,3)= kdmc .* Y(i,2);
    
    
end


figure;
plot(T, Pr2(:,1), T , Pr2(:,2), T ,Pr2(:,3) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{2,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24 0 4])
legend('cry gene trascription (j=1)','CRY mRNA dgradation (j=2)','linear CRY mRNA degradation (j=3)');

for i=1:r
    
    Pr3(i,1)= vsB .* KIB^m ./ ( KIB^m + Y(i,14)^m );
    
    Pr3(i,2)= vmB .* Y(i,3) ./ ( KmB + Y(i,3) );
    
    Pr3(i,3)= kdmb.*Y(i,3);
    
   
end

figure;
plot(T, Pr3(:,1), T , Pr3(:,2), T ,Pr3(:,3) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{3,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('bmal1 gene trascription (j=1)','BMAL1 mRNA dgradation (j=2)','linear BMAL1 mRNA degradation (j=3)');


for i=1:r
    
    Pr4(i,1)= ksP.*Y(i,1);
    
    Pr4(i,2)= V1P .* Y(i,4) ./ ( Kp + Y(i,4) );
    
    Pr4(i,3)=V2P .* Y(i,6) / ( Kdp + Y(i,6) );
    
    Pr4(i,4)= k4.*Y(i,8);
    
    Pr4(i,5)= k3.*Y(i,4).*Y(i,5);
    
    Pr4(i,6)= kdn.*Y(i,4);
    
    
end

figure;
plot(T, Pr4(:,1), T , Pr4(:,2), T ,Pr4(:,3), T ,Pr4(:,4), T ,Pr4(:,5),T ,Pr4(:,6) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{4,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('P_C synthesys (j=1)','P_C phosphorylation (j=2)','P_C de-phosphorylation (j=3)','splitting of the complex PC_C (j=4)','binding of the complex PC_C (j=5)','linear P_C degradation (j=6)'); 


for i=1:r
     
    Pr5(i,1)= ksC.*Y(i,2);
    
    Pr5(i,2)= V1C .* Y(i,5) ./ ( Kp + Y(i,5) );
    
    Pr5(i,3)=V2C .* Y(i,7) / ( Kdp + Y(i,7) );
    
    Pr5(i,4)= k4.*Y(i,8);
    
    Pr5(i,5)= k3.*Y(i,4).*Y(i,5);
    
    Pr5(i,6)= kdnc.*Y(i,5);
    
end

figure;
plot(T, Pr5(:,1), T , Pr5(:,2), T ,Pr5(:,3), T ,Pr5(:,4), T ,Pr5(:,5),T ,Pr5(:,6),'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{1,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('C_C synthesys (j=1)','C_C phosphorylation (j=2)','C_C de-phosphorylation (j=3)','splitting of the complex PC_C (j=4)','binding of the complex PC_C (j=5)','linear C_C degradation (j=6)'); 



for i=1:r
    
    Pr6(i,1)= V1P .* Y(i,4) ./ ( Kp + Y(i,4) );
    
    Pr6(i,2)=V2P .* Y(i,6) / ( Kdp + Y(i,6) );
    
    Pr6(i,3)=vdPC .* Y(i,6) / ( Kd + Y(i,6) );
    
    Pr6(i,4)= kdn .* Y(i,6);
end


figure;
plot(T, Pr6(:,1), T , Pr6(:,2), T ,Pr6(:,3), T ,Pr6(:,4),'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{6,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('P_C phosphorylation (j=1)','P_C de-phosphorylation (j=2)','P_CP degradation (j=3)','linear P_CP degradation (j=4)'); 


for i=1:r
    
    Pr7(i,1)= V1C .* Y(i,5) ./ ( Kp + Y(i,5) );

    Pr7(i,2)= V2C .* Y(i,7) / ( Kdp + Y(i,7) );
    
    Pr7(i,3)= vdCC .* Y(i,7) / ( Kd + Y(i,7) );
    
    Pr7(i,4)= kdn .* Y(i,7);
end

figure;
plot(T, Pr7(:,1), T , Pr7(:,2), T ,Pr7(:,3), T ,Pr7(:,4),'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{7,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24 0 4])
legend('C_C phosphorylation (j=1)','C_C de-phosphorylation (j=2)','C_CP degradation (j=3)','linear C_CP degradation (j=4)'); 






for i=1:r
    
    Pr8(i,1)= V1PC .* Y(i,8) ./ ( Kp + Y(i,8) );
    
    Pr8(i,2)= V2PC .* Y(i,10) ./ ( Kdp + Y(i,10) );
    
    Pr8(i,3)= k4.*Y(i,8);
    
    Pr8(i,4)= k3.*Y(i,4).*Y(i,5);
    
    Pr8(i,5)= k2.*Y(i,9);
    
    Pr8(i,6)= k1.*Y(i,8);
    
    Pr8(i,7)= kdn.*Y(i,8);
    
    
end



figure;
plot(T, Pr8(:,1), T , Pr8(:,2), T ,Pr8(:,3), T ,Pr8(:,4), T ,Pr8(:,5),T ,Pr8(:,6) ,T,Pr8(:,7),'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{8,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24 0 4])
legend('first phosphorylation of the complex (j=1)','first de-phosphorylation of the complex (j=2)',' formation of the complex (j=3)','splitting of the complex (j=4)','PC out of the nucleus (j=5)','PC moving in the nucleus (j=6)', 'linear PC_C degradation (j=7)');






for i=1:r
    
    Pr9(i,1)= V3PC .* Y(i,9) ./ ( Kp + Y(i,9) );
    
    Pr9(i,2)= V4PC .* Y(i,11) ./ ( Kdp + Y(i,11) );
    
    Pr9(i,3)= k2.*Y(i,9);
    
    Pr9(i,4)= k1.*Y(i,8);
    
    Pr9(i,5)= k7.*Y(i,14).*Y(i,9);
    
    Pr9(i,6)= k8.*Y(i,16);
    
    Pr9(i,7)= kdn.*Y(i,9);
    
    
   
   end

figure;
   plot(T, Pr9(:,1), T , Pr9(:,2), T ,Pr9(:,3), T ,Pr9(:,4), T ,Pr9(:,5),T ,Pr9(:,6) ,T,Pr9(:,7),'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{9,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('first phosphorylation of the complex in the nucleus (j=1)','first de-phosphorylation of the complex in the nucleus (j=2)','PC out of the nucleus (j=3)','PC moving in the nucleus (j=4)','formation of the big complex (j=5)','splitting of the big complex (j=6)','linear PC_n degradation (j=7)');


for i=1:r
    
    Pr10(i,1)= V1PC .* Y(i,8) ./ ( Kp + Y(i,8) );
        
    Pr10(i,2)=V2PC .* Y(i,10) ./ ( Kdp + Y(i,10) );
    
    Pr10(i,3)= vdPCC .* Y(i,10) ./ ( Kd + Y(i,10) );
    
    Pr10(i,4)= kdn.*Y(i,10);
    
    
    
   
   end


figure;
plot(T, Pr10(:,1), T , Pr10(:,2), T ,Pr10(:,3), T ,Pr10(:,4) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{10,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24 0 4])
legend('PC_C phosphorylation (j=1)','PC_CP de-phosphorylation (j=2)','PC_CP degradation (j=3)','linear PC_CP degradation (j=4)'); 

for i=1:r
    
    Pr11(i,1)= V3PC .* Y(i,9) ./ ( Kp + Y(i,9) );
        
    Pr11(i,2)=V4PC .* Y(i,11) ./ ( Kdp + Y(i,11) );
    
    Pr11(i,3)= vdPCN .* Y(i,11) ./ ( Kd + Y(i,11) );
    
    Pr11(i,4)= kdn.*Y(i,11);
    
    
   
   end


figure;
plot(T, Pr11(:,1), T , Pr11(:,2), T ,Pr11(:,3), T ,Pr11(:,4) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{11,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('PC_C phosphorylation (j=1)','PC_CP de-phosphorylation (j=2)','PC_NP degradation (j=3)','linear PC_NP degradation (j=4)'); 

for i=1:r
    
    Pr12(i,1)= ksB.*Y(i,3);
    
    Pr12(i,2)= V1B .* Y(i,12) ./ ( Kp + Y(i,12) );
    
    Pr12(i,3)=V2B .* Y(i,13) ./ ( Kdp + Y(i,13) );
    
    Pr12(i,4)= k5.*Y(i,12);
    
    Pr12(i,5)= k6.*Y(i,14);
    
    Pr12(i,6)= kdn.*Y(i,12);
    
    
end

figure;
   plot(T, Pr12(:,1), T , Pr12(:,2), T ,Pr12(:,3), T ,Pr12(:,4), T ,Pr12(:,5),T ,Pr12(:,6) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{12,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24 0 4])
legend('B_C synthesys (j=1)','B_C phosphorylation (j=2)','B_C de-phosphorylation (j=3)','moving in the nucleus (j=4)','exiting from the nucleus (j=5)','linear B_C degradation (j=6)'); 


for i=1:r
    
    Pr13(i,1)= V1B .* Y(i,12) ./ ( Kp + Y(i,12) );
    
    Pr13(i,2)= V2B .* Y(i,13) ./ ( Kdp + Y(i,13) );
    
    Pr13(i,3)=vdBC .* Y(i,13) ./ ( Kd + Y(i,13) );
    
    Pr13(i,4)= kdn.*Y(i,13);
    
  
    
end

figure;
plot(T, Pr13(:,1), T , Pr13(:,2), T ,Pr13(:,3), T ,Pr13(:,4),'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{13,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('B_C phosphorylation (j=1)','B_CP de-phosphorylation (j=2)','B_CP degradation (j=3)','linear B_CP degradation (j=4)' ); 

for i=1:r
    
    Pr14(i,1)= V3B .* Y(i,14) ./ ( Kp + Y(i,14) );
    
    Pr14(i,2)= V4B .* Y(i,15) ./ ( Kdp + Y(i,15) );
    
    Pr14(i,3)= k5.*Y(i,12);
    
    Pr14(i,4)= k6.*Y(i,14);
    
    Pr14(i,5)= k7.*Y(i,14).*Y(i,9);
    
    Pr14(i,6)= k8.*Y(i,16);
    
    Pr14(i,7)= kdn.*Y(i,14);
    
    
   
end

figure;
   plot(T, Pr14(:,1), T , Pr14(:,2), T ,Pr14(:,3), T ,Pr14(:,4), T ,Pr14(:,5),T ,Pr14(:,6) ,T,Pr14(:,7),'LineWidth',2);
   xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
    title({'PROCESSES |f_{14,j}| (ABS. VALUE)'},'FontSize',14);
   axis([0 24 0 1.2])
    legend('Phosphorylation in the nucleus (j=1)','Dephosphorylation in the nucleus (j=2)','Nuclear import (j=3)','Nuclear export (j=4)','Formation of the large complex (j=5)','Dissociation of the large complex (j=6)','Basal degradation (j=7)');

  

for i=1:r
    
    Pr15(i,1)= V3B .* Y(i,14) ./ ( Kp + Y(i,14) );
        
    Pr15(i,2)= V4B .* Y(i,15) ./ ( Kdp + Y(i,15) );
    
    Pr15(i,3)= vdBN .* Y(i,15) ./ ( Kd + Y(i,15) );
    
    Pr15(i,4)= kdn.*Y(i,15);
    
   
   end


figure;
plot(T, Pr15(:,1), T , Pr15(:,2), T ,Pr15(:,3), T ,Pr15(:,4) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{15,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('B_C phosphorylation (j=1)','B_NP de-phosphorylation (j=2)','B_NP degradation (j=3)','linear B_NP degradation (j=4)'); 

for i=1:r
    
    Pr16(i,1)= k8.*Y(i,16);
        
    Pr16(i,2)= k7.*Y(i,14).*Y(i,9);
    
    Pr16(i,3)= vdIN .* Y(i,16) ./ ( Kd + Y(i,16) );
    
    Pr16(i,4)= kdn.*Y(i,16);
    
end

figure;
plot(T, Pr16(:,1), T , Pr16(:,2), T ,Pr16(:,3), T ,Pr16(:,4) ,'LineWidth',2);
xlabel({'Time (h)'},'FontSize',14);ylabel({'Velocity (nM/h)'},'FontSize',14);
title({'PROCESSES |f_{16,j}| (ABS. VALUE)'},'FontSize',14);
axis([0 24  0 4])
legend('fomation of the big complex (j=1)','splitting of the big complex (j=2)','degradation of the big complex (j=3)','linear deagradation of the big complex (j=4)'); 



